Stream Triggers
curl --request POST \
--url https://streaming.lingopal.ai/v1/streams/{stream_id}/trigger \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"mix": "<string>"
}
'import requests
url = "https://streaming.lingopal.ai/v1/streams/{stream_id}/trigger"
payload = { "mix": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mix: '<string>'})
};
fetch('https://streaming.lingopal.ai/v1/streams/{stream_id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Streams
Stream Triggers
This API is used for volume in a running stream.
POST
/
v1
/
streams
/
{stream_id}
/
trigger
Stream Triggers
Description
This endpoint is used to trigger volume changes in a running stream. Use this to adjust the mix or volume of a live stream in real time. See the Quickstart guide for usage context.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: POST
- Endpoint:
/v1/streams/{stream_id}/trigger - Path Parameter:
stream_id(string, required): ID of the stream
- Body:
{
"mix": "string" // string between -128 and 128
}
Response
- Status: 200 OK
- Content-Type:
application/json
"string"
Example Usage (cURL)
curl -X POST "https://streaming.lingopal-dev.com/v1/streams/your-stream-id/trigger" \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"mix": 50
}'
⌘I